Bug 868629 - Custom storage "device capacity" usability
Custom storage "device capacity" usability
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-21 06:28 EDT by paolo borelli
Modified: 2012-11-23 15:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 17:11:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description paolo borelli 2012-10-21 06:28:45 EDT
Right now it use a plain text entry, with no hints about whether I should use megabytes, gigabytes or what else.

It also lacks a way to "fill all available space" which is very handy (for instance I always delete my previous "/" partition and recreate it leaving all the others untouched)
Comment 1 Chris Lumens 2012-10-23 17:11:30 EDT
You can use any units you want, which the tooltip explains.

To reuse an existing filesystem, you can click the "Reformat" button after selecting the mountpoint on the left hand side of the screen.  This was just added in the past couple days.
Comment 2 paolo borelli 2012-10-24 05:30:41 EDT
Still a plain text entry is very confusing...

Among other things that come to mind, it could use a spinbutton, it could use the "hint" property of GtkEntry, it could default to a number that is the max available space thus providing a sensible default and a practical example of how the capacity should be expressed.
Comment 3 Steve Tyler 2012-11-23 14:17:21 EST
Neither the tooltip nor the dialog say what the _default_ units are ...

Another problem is that to use all available space, the user should leave the capacity box empty. That is completely unintuitive ...

This bug should be reopened as a user interface design bug.
Comment 4 Steve Tyler 2012-11-23 14:20:20 EST
(In reply to comment #3)
> Neither the tooltip nor the dialog say what the _default_ units are ...
> 
> Another problem is that to use all available space, the user should leave
> the capacity box empty. That is completely unintuitive ...
> 
> This bug should be reopened as a user interface design bug.

Tested with:
anaconda-0:18.29.2-1.fc18.x86_64
Fedora-18-Beta-x86_64-Live-Desktop.iso (RC1)
Comment 5 Steve Tyler 2012-11-23 15:25:58 EST
See also:
Bug 850839 - unit for new device size defaults to bytes if not specified
Comment 6 Steve Tyler 2012-11-23 15:43:15 EST
(In reply to comment #1)
> You can use any units you want, which the tooltip explains.
...

The tooltip "explains" no such thing:
'eg: "20 GB", "500mb" (minus the quotation marks)'

The tooltip gives two examples and a meta-syntax rule. If anaconda is to provide a _graphical_ user interface, it needs to use standard GUI elements, such as menus.

$ grep -rl 'eg: "20 GB", "500mb" (minus the quotation marks' anaconda-18.29.2-1
anaconda-18.29.2-1/pyanaconda/ui/gui/spokes/custom.glade

Note You need to log in before you can comment on or make changes to this bug.